Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.tracking.clickthrough
Interface EventMappingLoader

public interface EventMappingLoader

Interface that defines the contract for the loading mechanism.

Method Summary
`java.lang.String` | `getAttributeValue(java.lang.String attributeKey)` Returns the value of an attribute key.
`java.lang.String` | `getEventClassName(java.lang.String eventType)` Returns event class name given the event type.
`java.lang.String` | `getValidatorClassName(java.lang.String eventType)` Returns validator class name given the event type.
`void` | `reload()` Forces reload of the mapping information.

Method Detail

### getEventClassName

    public java.lang.String getEventClassName(java.lang.String eventType)
                                       throws java.util.MissingResourceException

  Returns event class name given the event type.

  Parameters:
    `eventType` - The type of event.
  Returns:
    String The class name that matches the event name.
  Throws:
    java.util.MissingResourceException - To signal problems while reading.

### getValidatorClassName

    public java.lang.String getValidatorClassName(java.lang.String eventType)
                                           throws java.util.MissingResourceException

  Returns validator class name given the event type.

  Parameters:
    `eventType` - The type of event.
  Returns:
    String The validator class name that matches the event name.
  Throws:
    java.util.MissingResourceException - To signal problems while reading.

### getAttributeValue

    public java.lang.String getAttributeValue(java.lang.String attributeKey)
                                       throws java.util.MissingResourceException

  Returns the value of an attribute key.

  Parameters:
    `attributeKey` - The key of an attribute in a mapping.
  Returns:
    String The value of an attribute in a mapping.
  Throws:
    java.util.MissingResourceException - To signal problems in reading.

### reload

    public void reload()
                throws java.util.MissingResourceException

  Forces reload of the mapping information.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved